<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>스마트팩토리과제관리시스템</title>

    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" />

    <!-- Wijmo styles -->
    <link href="../assets/plugin/wijmo/wijmo.min.css" rel="stylesheet"/>
    
    <!-- css -->
    <link rel="stylesheet" href="../assets/css/jquery-ui.min.css" />
    <link rel="stylesheet" href="../assets/css/common.css" />
    <link rel="stylesheet" href="../assets/css/style.css" />
</head>

<body>
    <header class="sf-header" id="header">
        <div class="top-logo">
            <a href="#" class="btn-open-all-menu">
                <img src="../assets/img/all-menu.svg" alt="">
            </a>
            <a href="#" class="logo">
                <span class="abb">SFPM</span>
                <span class="full">
                    <span class="ko">스마트팩토리과제관리시스템</span>
                    <span class="en">Smart Factory Project Management system</span>
                </span>
            </a>
        </div>
        <div class="top-gnb">
            <nav class="top-main-nav">
                <ul class="depth1">
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">스마트팩토리란?</a>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">스마트팩토리 레벨</a>
                        
                        <!-- 230612 -->
                        <ul class="depth2-list">
                            <li>
                                <a href="#">스마트팩토리 레벨정의</a> 
                            </li>
                            <li>
                                <a href="#">스마트팩토리 레벨현황</a>
                            </li>
                        </ul>
                        <!-- //230612 -->

                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link on">핵심 Agenda</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">핵심 Agenda 요약</a>
                            </li>
                            <li>
                                <a href="#">핵심 Agenda 정의</a>
                            </li>
                            <li class="on">
                                <a href="#">핵심 Agenda 과제관리</a>
                            </li>
                            <li>
                                <a href="#">핵심 Agenda 진행현황</a>
                            </li>
                        </ul>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">커뮤니티</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">Painpoint</a>
                            </li>
                            <li>
                                <a href="#">스마트팩토리 일정</a>
                            </li>
                            <li>
                                <a href="#">자료실</a>
                            </li>
                        </ul>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">관리자</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">공통 코드 관리</a>
                            </li>
                            <li>
                                <a href="#">권한 관리</a>
                            </li>
                            <li>
                                <a href="#">메뉴 관리</a>
                            </li>
                            <!-- <li> 230612
                                <a href="#">메뉴 관리</a>
                            </li> -->
                            <li>
                                <a href="#">메세지 관리</a>
                            </li>
                            <li>
                                <a href="#">결제 관리</a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </nav>
        </div>
        <ul class="nav-right">
            
            <li>
                <button id="btn-favorite">
                    <i class="icon icon-favorites"></i>
                </button>
                <div id="pop-favorite" class="popover favorite">
                    <div class="popover-content">
                        <form name="popoverForm">
                            <div class="search-input-wrap">
                                <input type="text" placeholder="메뉴명 검색" />
                                <button class="btn-search">
                                    <span class="icon icon-search-submit"></span>
                                </button>
                            </div>
                            <ul class="recent-menu">
                                <li>
                                    <button class="btn-favorite-sm">
                                        <i class="icon icon-favorites-sm"></i>
                                    </button>
                                    <a href="#">Recent Menu 1</a>
                                </li>
                                <li>
                                    <button class="btn-favorite-sm">
                                        <i class="icon icon-favorites-sm"></i>
                                    </button>
                                    <a href="#">Recent Menu 2</a>
                                </li>
                                <li>
                                    <button class="btn-favorite-sm">
                                        <i class="icon icon-favorites-sm"></i>
                                    </button>
                                    <a href="#">Recent Menu 3</a>
                                </li>
                            </ul>
                            <ul class="favorite-menu">
                                <li>
                                    <button class="btn-favorite-sm">
                                        <i class="icon icon-favorites-sm"></i>
                                    </button>
                                    <a href="#">Favorite Menu 1</a>
                                </li>
                                <li>
                                    <button class="btn-favorite-sm">
                                        <i class="icon icon-favorites-sm"></i>
                                    </button>
                                    <a href="#">Favorite Menu 2</a>
                                </li>
                                <li>
                                    <button class="btn-favorite-sm">
                                        <i class="icon icon-favorites-sm"></i>
                                    </button>
                                    <a href="#">Favorite Menu 3</a>
                                </li>
                            </ul>
                            <a href="#" class="all-menu">All Menus</a>
                        </form>
                    </div>
                </div>
                <div id="pop-all-menu" class="popover allmenu">
                    <div class="popover-content">
                        <form>
                            <div class="all-menu-top">
                                <h3>All Menus</h3>
                                <div class="search-input-wrap">
                                    <input type="text" placeholder="메뉴명 검색" />
                                    <button class="btn-search">
                                        <span class="icon icon-search-submit"></span>
                                    </button>
                                    
                                </div>
                                <button class="btn-close-allmenu close wj-hide" type="button" tabindex="-1">
                                    <span class="icon icon-close"></span>
                                </button>
                            </div>
                            <div class="all-menu-list">
                                <div class="menu">
                                    <a href="#" class="all-menu-depth1">스마트팩토리란?</a>
                                    <ul class="all-menu-depth2">
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">스마트팩토리란?</a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="menu">
                                    <a href="#" class="all-menu-depth1">스마트팩토리 레벨</a>
                                    <ul class="all-menu-depth2">
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">스마트팩토리 레벨 정의</a>
                                        </li>
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">스마트팩토리 레벨 현황</a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="menu">
                                    <a href="#" class="all-menu-depth1">핵심 Agenda</a>
                                    <ul class="all-menu-depth2">
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">핵심아젠다 정의</a>
                                        </li>
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">핵심아젠다 요약</a>
                                        </li>
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">핵심아젠다 과제 관리</a>
                                        </li>
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">핵심아젠다 진행 현황</a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="menu">
                                    <a href="#" class="all-menu-depth1">커뮤니티</a>
                                    <ul class="all-menu-depth2">
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">스마트팩토리  Talk</a>
                                        </li>
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">자료실</a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="menu">
                                    <a href="#" class="all-menu-depth1">관리자</a>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </li>
            <li>
                <button>
                    <i class="icon icon-help"></i>
                </button>
            </li>
            <li>
                <span class="btn-toggle-wrap">
                    <input type="checkbox" id="toggle" hidden> 
                    <label for="toggle" class="switch-toggle">
                        <span class="btn-toggle"></span>
                    </label>
                </span>
            </li>
            <li>
                <a href="#" class="language">ENG <img src="../assets/img/arr-lang.svg" alt=""></a>
            </li>
            <li>
                <a href="#" class="avatar">
                    <span class="round">
                        <!-- <img src="../assets/img/ico-user.png" alt=""> 프로필 이미지 -->
                    </span>
                    홍길동
                </a>
            </li>
        </ul>

    </header>
    <div class="sf-container" id="contents">
        <aside class="aside agenda-aside">
            <div class="aside-title-area">
                <h1>핵심 Agenda 과제관리</h1>
            </div>
            <div class="aside-search-area">
                <form>
                    <div class="search-input-wrap">
                        <input type="text" />
                        <button class="btn-search">
                            <span class="icon icon-search-submit"></span>
                        </button>
                    </div>
                </form>

                <button class="btn-filter">
                    <span class="icon icon-filter"></span>
                </button>

                <!-- [s]230615 -->
                <div id="pop-filter" class="popover filter">
                    <div class="popover-content">
                        <form name="popoverForm">
                            <span class="txt">아젠다그룹</span>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk01" />
                                <label for="chk01" class="secondary">All</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk02" />
                                <label for="chk02" class="secondary">생산운영</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk03" />
                                <label for="chk03" class="secondary">자재물류</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk04" />
                                <label for="chk04" class="secondary">환경안전</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk05" />
                                <label for="chk05" class="secondary">공장설비</label>
                            </div>
                        </form>
                    </div>
                </div>
                <!-- 
                    <div class="modal fade" id="filterModal" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h1 class="modal-title">아젠다 그룹</h1>
                                    <button class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <div class="btn-group btn-group-sm mt-0" role="group">
                                    
                                        <input type="checkbox" class="btn-check" id="btncheck1" autocomplete="off">
                                        <label class="btn btn-outline-primary" for="btncheck1">생산운영</label>
                                    
                                        <input type="checkbox" class="btn-check" id="btncheck2" autocomplete="off">
                                        <label class="btn btn-outline-primary" for="btncheck2">자재물류</label>
                
                                        <input type="checkbox" class="btn-check" id="btncheck3" autocomplete="off">
                                        <label class="btn btn-outline-primary" for="btncheck3">환경안전</label>
                                        
                                        <input type="checkbox" class="btn-check" id="btncheck4" autocomplete="off">
                                        <label class="btn btn-outline-primary" for="btncheck4">공정설비</label>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button class="sf-btn btn-outlined me-2" data-bs-dismiss="modal">
                                        닫기
                                    </button>
                                    <button class="sf-btn btn-primary">
                                        <i class="icon icon-check"></i>
                                        <span>확인</span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                -->
                <!-- [e]230615 -->
            </div>
            <ul class="aside-list">
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-confirmed">
                        <span class="number">01</span> 
                        <span class="txt">완벽한 설비 제작</span>
                        <span class="circle-status confirmed"></span>
                    </a>
                </li>
                <li class="aside-depth1 on">
                    <a href="#" class="aside-depth1-link txt-confirmed">
                        <span class="number">02</span> 
                        <span class="txt">완벽한 설비 설치</span>
                        <span class="circle-status confirmed"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-warning">
                        <span class="number">03</span>
                        <span class="txt">초기 Par.Setting</span>
                        <span class="circle-status warning"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-confirmed">
                        <span class="number">04</span>
                        <span class="txt">PD 최소화</span>
                        <span class="circle-status confirmed"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-confirmed">
                        <span class="number">05</span>
                        <span class="txt">BM 최소화</span>
                        <span class="circle-status confirmed"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-error">
                        <span class="number">06</span>
                        <span class="txt">완벽한 PM</span>
                        <span class="circle-status error"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-error">
                        <span class="number">07</span>
                        <span class="txt">철저한 이물 관리</span>
                        <span class="circle-status error"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-error">
                        <span class="number">08</span>
                        <span class="txt">검사/계측 자동화</span>
                        <span class="circle-status error"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-confirmed">
                        <span class="number">09</span>
                        <span class="txt">물류 자동화</span>
                        <span class="circle-status confirmed"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-planning">
                        <span class="number">10</span>
                        <span class="txt">지능형 비전 센서 구축</span>
                        <span class="circle-status planning"></span>
                    </a>
                </li>
                <li class="aside-depth1 has-sub">
                    <a href="#" class="aside-depth1-link txt-planning">
                        <span class="number">11</span>
                        <span class="txt">IT 시스템</span>
                        <span class="circle-status planning"></span>
                    </a>
                    <ul>
                        <li class="on">
                            <a href="#">GMES</a>
                        </li>
                        <li>
                            <a href="#">NCS</a>
                        </li>
                        <li>
                            <a href="#">PDC</a>
                        </li>
                        <li>
                            <a href="#">SPC +</a>
                        </li>
                        <li>
                            <a href="#">MCSC</a>
                        </li>
                        <li>
                            <a href="#">GUIS</a>
                        </li>
                        <li>
                            <a href="#">B-Lex</a>
                        </li>
                        <li>
                            <a href="#">환경안정 Portal</a>
                        </li>
                        <li>
                            <a href="#">GQMS</a>
                        </li>
                        <li>
                            <a href="#">CHARMS</a>
                        </li>
                        <li>
                            <a href="#">DPMS</a>
                        </li>
                        <li>
                            <a href="#">DQM</a>
                        </li>
                        <li>
                            <a href="#">GMMS</a>
                        </li>
                        <li>
                            <a href="#">WNS</a>
                        </li>
                        <li>
                            <a href="#">FMCS</a>
                        </li>
                    </ul>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-confirmed">
                        <span class="number">12</span>
                        <span class="txt">작업 지도서</span>
                        <span class="circle-status confirmed"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-warning">
                        <span class="number">13</span>
                        <span class="txt">원격 컨트롤</span>
                        <span class="circle-status warning"></span>
                    </a>
                </li>
                <li class="aside-depth1">
                    <a href="#" class="aside-depth1-link txt-dimmed">
                        <span class="number">14</span>
                        <span class="txt">Ros 구축</span>
                        <span class="circle-status dimmed"></span>
                    </a>
                </li>
            </ul>
            <div class="aside-button-area">
                <button class="sf-btn btn-outlined">
                    <i class="icon icon-edit"></i>
                    <span class="btn-txt">신규 아젠다</span>
                </button>
            </div>
        </aside>

    </div>


    <!-- jQuery & jQuery UI -->
    <script src="../assets/js/jquery-3.6.0.js"></script>
    <script src="../assets/js/jquery-ui.js"></script>

    <!-- js -->
    <script src="../assets/js/common.js"></script>
    <script src="../assets/js/header.nav.js"></script>

     <!-- Bootstrap -->
     <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>

     <!-- Wijmo core -->
     <script src="../assets/plugin/wijmo/wijmo.min.js"></script>
     <script src="../assets/plugin/wijmo/wijmo.input.min.js"></script>
     <script src="../assets/plugin/wijmo/wijmo.nav.min.js"></script>


    <script>

        function init() {

            //즐겨찾기(헤더)
            const btnFavorite = document.getElementById('btn-favorite');
            const iconFavorite = document.querySelector('.icon-favorites');

            btnFavorite.addEventListener('click', () => {
                iconFavorite.classList.toggle('on');
            });

            //즐겨찾기 팝업 내 메뉴
            const btnFavoriteSm = document.querySelector('.btn-favorite-sm');
            const btnFavoriteSmList = document.querySelectorAll('.btn-favorite-sm');
            const iconFavoriteSmList = document.querySelectorAll('.icon-favorites-sm');

            btnFavoriteSmList.forEach((btnFavoriteSm, index) => {
                btnFavoriteSm.addEventListener('click', () => {
                    iconFavoriteSmList[index].classList.toggle('on');
                });
            });

             //즐겨찾기 메뉴 팝업
             let popFavorite = new wijmo.input.Popup('#pop-favorite', {
                owner: document.getElementById('btn-favorite'),
                showTrigger: 'Click',
            });

            //전체 메뉴 팝업
            let popAllMenu = new wijmo.input.Popup('#pop-all-menu', {
                owner: document.querySelector('.all-menu'),
                showTrigger: 'Click',
            });

            //필터 팝업
            let popFilter = new wijmo.input.Popup('#pop-filter', {
                owner: document.querySelector('.btn-filter'),
                showTrigger: 'Click',
            });

             // BIGIN :: All menus open
    const headerWrap = document.getElementById('header');
    const contentsWrap = document.getElementById('contents');
    headerWrap.querySelector('.btn-open-all-menu').addEventListener('click', function(e) {
        contentsWrap.querySelector('.agenda-aside').classList.toggle('close');
        contentsWrap.querySelector('.has-sub').classList.remove('on');
        e.preventDefault();
    });

    const subMenusColumn = document.querySelectorAll('.all-sub-menus > li');
    let linkItem;
    subMenusColumn.forEach(function(item, i) {
        item.querySelectorAll('ul > li > a').forEach(function(link, j) {
            link.addEventListener('mouseenter', function(e) {
                document.querySelectorAll('.all-menus-header > .top-menus > li')[i].querySelector('a').classList.add('on');
                e.preventDefault();
            });
            link.addEventListener('mouseleave', function(e) {
                document.querySelectorAll('.all-menus-header > .top-menus > li')[i].querySelector('a').classList.remove('on');
                e.preventDefault();
            });
        });
    });
    // END :: All menus open

            
        }
        init();
        
    </script>
</body>
</html>